---
title: "Focus intentionally"
author: Amolith
cover: ./cover.png
lastmod: 2022-04-23T21:12:29-04:00
categories: ["Meta"]
draft: true
---

I am too easily distracted. Sitting at my desk on an average day, I have movies,
TV shows, and YouTube videos, about a million different chat applications, my
email client, Steam, and a web browser with yet more chat apps plus social media
all within a couple keystrokes' reach. Along with whatever primary task I've set
out to do, I _also_ have a really chaotic brain and about a million other tasks
bouncing around in it.

Putting all of this together results in terrible productivity and incessant
procrastination If my primary task is something I'm less-than-motivated to
accomplish.

In a recent episode of _The Art of Manliness_, Brett McKay interviews Dr. BJ
Fogg about his new book, _Tiny Habits: The Small Changes That Change
Everything_. One of Dr. Fogg's statements in this episode stuck with me; when
training yourself to adopt new behaviours, there are three things that must
factors that determine your success: motivation, ability, and a prompt. A prompt
is just something that reminds you of the behaviour you're trying to adopt. The
act of brushing your teeth might be the prompt for flossing. The act of flossing
might be the prompt for making coffee. In my situation, the prompt is just
needing to get work done so we'll ignore that factor. Ability refers to how
simple you find the task and motivation is how motivated you are to accomplish
it. These last two must balance each other out; if your motivation to complete
the task is low, your ability must be high — the task must be easy, while if
your ability is low, your motivation must be rather high.

## Note

- Close primary browser with a million tabs open and use Epiphany
- Close all the chat apps
- Disable notifications/enable Do Not Disturb mode on _both_ your phone _and_
  computer
- Take off your smart/fitness watch
- If you listen to music, make it something calming, not eclectic

## References

- [The Art of Manliness: Become a Focused Monotasker](https://www.artofmanliness.com/character/behavior/monotasking-podcast/)
- [The Art of Manliness: The Tiny Habits That Change Everything](https://www.artofmanliness.com/character/habits/podcast-581-the-tiny-habits-that-change-everything/)
